<?php
defined('ABSPATH') or die("No direct script allowed!!!");
/*
Plugin Name: BookingCenter Quick Reservation
Description: A plugin for BookingCenter customers for API integration with their BookingEngine.
Version: 1.0.0
Author: BookingCenter
Author URI: https://www.bookingcenter.com/
License: GPLv2 or later
*/


require_once(plugin_dir_path(__FILE__) . "/bookingcenter.php");


add_filter( 'wp_nav_menu_items', 'add_extra_item_to_nav_menu', 10, 2);
function add_extra_item_to_nav_menu( $items, $args )
{

	$option = get_option( 'bao-option');

	$file = plugin_dir_path( __FILE__ ) . "bc_wp_plugin/page/credential.php";

	if ( file_exists( $file ) )
		require $file;


	$button_link_type = isset($option['bao-button_type']) && !empty($option['bao-button_type']) ? sanitize_text_field($option['bao-button_type']) : "";
	$button_link_label = isset($option['bao-button-label']) && !empty($option['bao-button-label']) ? sanitize_text_field($option['bao-button-label']) : "";

	if($button_link_label == ""){
		$button_link_label = "Book Now";
	}

 	$slug =  $args->menu->slug;

		if ($args->theme_location == 'primary' || $args->theme_location == 'primary-menu'  || $args->theme_location == 'menu-1' || strpos($slug, 'primary') !== false || strpos($slug, 'main') !== false || strpos($slug, 'top') !== false) {

			if($button_link_type =="1"){
						$items .= '<li class="mega-menu-item mega-menu-item-type-post_type mega-menu-item-object-page mega-align-bottom-left mega-menu-flyout mega-menu-item-193" id="mega-menu-item-193"><input type="submit" class="gradient-button center contact-tour" value="'.$button_link_label.'" data-modal-target="#modal"></li>';
			}else{
						$items .= '<li class="mega-menu-item mega-menu-item-type-post_type mega-menu-item-object-page mega-align-bottom-left mega-menu-flyout mega-menu-item-199" id="mega-menu-item-199"><a href="" class="mega-menu" data-toggle="modal" data-modal-target="#modal">'.$button_link_label.'</a></li>';
			}

		}

    return $items;
}

add_action( 'wp_enqueue_scripts', 'themeprefix_bootstrap_modals');
function themeprefix_bootstrap_modals()
{

	wp_register_style ( 'custom_bookingcenter' , '/wp-content/plugins/bc_wp_plugin/responsive/custom_bookingcenter.css', '' , '', 'all' );

	wp_register_style ( 'responsivecssmin' , '/wp-content/plugins/bc_wp_plugin/responsive/responsive.min.css', '' , '', 'all' );
	wp_register_style ( 'responsivecss' , '/wp-content/plugins/bc_wp_plugin/responsive/responsive.css', '' , '', 'all' );

	wp_register_script ( 'rmmodaljs' , '/wp-content/plugins/bc_wp_plugin/responsive/responsive.min.js', array( 'jquery' ), '1', true );
	wp_register_script ( 'rmodaljs' , '/wp-content/plugins/bc_wp_plugin/responsive/responsive.js', array( 'jquery' ), '1', true );
 
 
	wp_enqueue_script( 'rmmodaljs' );
	wp_enqueue_style( 'responsivecssmin' );
	wp_enqueue_script( 'rmodaljs' );
	wp_enqueue_style( 'responsivecss' );
	wp_enqueue_style( 'custom_bookingcenter' );

}


add_action( 'the_content', 'booking_form' );
function booking_form ( $content ) {

	$option = get_option( 'bao-option');

	$file = plugin_dir_path( __FILE__ ) . "bc_wp_plugin/page/credential.php";

	if ( file_exists( $file ) )
		require $file;

	
	
	

	$site_id = isset($option['bao-site-id']) && !empty($option['bao-site-id']) ? sanitize_text_field($option['bao-site-id']) : "";

	$server_URL = isset($option['bao-api-be-url']) && !empty($option['bao-api-be-url']) ? sanitize_text_field($option['bao-api-be-url']) : "";

	if(is_numeric($server_URL) or $server_URL =="01" or $server_URL =="02"){
		$be_version = "https://book.bookingcenter.com/".$server_URL."/chk_availability.php";
	}else{
		$be_version = "https://book.bookingcenter.com/01/chk_availability.php";
	}

	$d_now = date("Y-m-d");
	$tomorrow =date('Y-m-d', strtotime('+1 day', strtotime(date('Y-m-d'))));
	$d_now_1_year =date('Y-m-d', strtotime('+1 year', strtotime(date('Y-m-d'))));

	
	$promo_label = isset($option['bao-button-promo-label']) && !empty($option['bao-button-promo-label']) ? sanitize_text_field($option['bao-button-promo-label']) : "Promo";
	
	if($option['bao-show-promo'] == 1){
		$promo = '<p style="margin:10px;">'.$promo_label.': <input type="text" class="span2" name="promo" value=""> </p>';
	}else{
		$promo = '';
	}
	
	
		if($option['bao-message-msg'] == ""){
		$key_message = '';
	}else{
		$key_message = '<p style="margin-top:20px;margin-bottom:20px; margin-left:10px; margin-right:10px;">'.$option['bao-message-msg'].'</p>';
	}
	
 

      return $content .= '<div id="modal" class="hidden">
	<form id="bookingform" action="'.$be_version.'" method="post" target="_blank" >
				<input id="site" name="site" type="hidden" value="'.$site_id.'">

 
				<h2 style="margin:10px;">Book a Room - Check Availability</h2>
				
				
				   '.$key_message.'

<p style="margin:10px;"> 
  <label for="start">Check in:</label>
			<input type="date" id="start" name="check_in_date"
          value="'.$d_now.'" min="'.$d_now.'" max="'.$d_now_1_year.'" style="height:40px;">
									</p>
 <p style="margin:10px;">
 <label for="end">Check Out:</label>	
									 <input type="date" id="end" name="check_out_date"
          value="'.$tomorrow.'" min="'.$tomorrow.'" max="'.$d_now_1_year.'" style="height:40px;">
									</p>
    '.$promo.'
			
 
				<p style="margin:10px;" align="center"> <input type="submit"  value="Check Availability"  title="Book Now"></p>

	 
	</form>
 

</div>';

}

?>